Open CASCADE Technology: BiTgte_Blend Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BiTgte_Blend Class Reference

Root class. More...

`#include <BiTgte_Blend.hxx>`

## Public Member Functions
| BiTgte_Blend ()
| BiTgte_Blend (const TopoDS_Shape &S, const Standard_Real Radius, const Standard_Real Tol, const Standard_Boolean NUBS)
| <S>: Shape to be rounded <Radius>: radius of the fillet <Tol>: Tol3d used in approximations <NUBS>: if true, generate only NUBS surfaces, if false, generate analytical surfaces if possible More...
void | Init (const TopoDS_Shape &S, const Standard_Real Radius, const Standard_Real Tol, const Standard_Boolean NUBS)
void | Clear ()
| Clear all the Fields. More...
void | SetFaces (const TopoDS_Face &F1, const TopoDS_Face &F2)
| Set two faces of <myShape> on which the Sphere must roll. More...
void | SetEdge (const TopoDS_Edge &Edge)
| Set an edge of <myShape> to be rounded. More...
void | SetStoppingFace (const TopoDS_Face &Face)
| Set a face on which the fillet must stop. More...
void | Perform (const Standard_Boolean BuildShape=Standard_True)
| Compute the generated surfaces. If <BuildShape> is true, compute the resulting Shape. If false, only the blending surfaces are computed. More...
Standard_Boolean | IsDone () const
const TopoDS_Shape & | Shape () const
| returns the result More...
Standard_Integer | NbSurfaces () const
| returns the Number of generated surfaces. More...
Handle< Geom_Surface > | Surface (const Standard_Integer Index) const
| returns the surface of range Index More...
const TopoDS_Face & | Face (const Standard_Integer Index) const
| returns the surface of range Index More...
void | CenterLines (TopTools_ListOfShape &LC) const
| set in <LC> all the center lines More...
Handle< Geom_Surface > | Surface (const TopoDS_Shape &CenterLine) const
| returns the surface generated by the centerline. <CenterLine> may be More...
const TopoDS_Face & | Face (const TopoDS_Shape &CenterLine) const
| returns the face generated by the centerline. <CenterLine> may be More...
BiTgte_ContactType | ContactType (const Standard_Integer Index) const
| returns the type of contact More...
const TopoDS_Shape & | SupportShape1 (const Standard_Integer Index) const
| gives the first support shape relative to SurfaceFillet(Index); More...
const TopoDS_Shape & | SupportShape2 (const Standard_Integer Index) const
| gives the second support shape relative to SurfaceFillet(Index); More...
Handle< Geom_Curve > | CurveOnShape1 (const Standard_Integer Index) const
| gives the 3d curve of SurfaceFillet(Index) on SupportShape1(Index) More...
Handle< Geom_Curve > | CurveOnShape2 (const Standard_Integer Index) const
| gives the 3d curve of SurfaceFillet(Index) on SupportShape2(Index) More...
Handle< Geom2d_Curve > | PCurveOnFace1 (const Standard_Integer Index) const
| gives the PCurve associated to CurvOnShape1(Index) on the support face Warning: returns a Null Handle if SupportShape1 is not a Face More...
Handle< Geom2d_Curve > | PCurve1OnFillet (const Standard_Integer Index) const
| gives the PCurve associated to CurveOnShape1(Index) on the Fillet More...
Handle< Geom2d_Curve > | PCurveOnFace2 (const Standard_Integer Index) const
| gives the PCurve associated to CurveOnShape2(Index) on the support face Warning: returns a Null Handle if SupportShape2 is not a Face More...
Handle< Geom2d_Curve > | PCurve2OnFillet (const Standard_Integer Index) const
| gives the PCurve associated to CurveOnShape2(Index) on the fillet More...
Standard_Integer | NbBranches ()
void | IndicesOfBranche (const Standard_Integer Index, Standard_Integer &From, Standard_Integer &To) const
| Set in <From>,<To> the indices of the faces of the branche <Index>. More...
void | ComputeCenters ()
| Computes the center lines. More...

## Detailed Description

Root class.

## Constructor & Destructor Documentation

BiTgte_Blend::BiTgte_Blend | ( |  | ) |

BiTgte_Blend::BiTgte_Blend | ( | const TopoDS_Shape & | S,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tol,
|  | const Standard_Boolean | NUBS
| ) |  |

<S>: Shape to be rounded <Radius>: radius of the fillet <Tol>: Tol3d used in approximations <NUBS>: if true, generate only NUBS surfaces, if false, generate analytical surfaces if possible

## Member Function Documentation

void BiTgte_Blend::CenterLines | ( | TopTools_ListOfShape & | LC | ) | const

set in <LC> all the center lines

void BiTgte_Blend::Clear | ( |  | ) |

Clear all the Fields.

void BiTgte_Blend::ComputeCenters | ( |  | ) |

Computes the center lines.

BiTgte_ContactType BiTgte_Blend::ContactType | ( | const Standard_Integer | Index | ) | const

returns the type of contact

Handle< Geom_Curve > BiTgte_Blend::CurveOnShape1 | ( | const Standard_Integer | Index | ) | const

gives the 3d curve of SurfaceFillet(Index) on SupportShape1(Index)

Handle< Geom_Curve > BiTgte_Blend::CurveOnShape2 | ( | const Standard_Integer | Index | ) | const

gives the 3d curve of SurfaceFillet(Index) on SupportShape2(Index)

const TopoDS_Face& BiTgte_Blend::Face | ( | const Standard_Integer | Index | ) | const

returns the surface of range Index

const TopoDS_Face& BiTgte_Blend::Face | ( | const TopoDS_Shape & | CenterLine | ) | const

returns the face generated by the centerline. <CenterLine> may be

- an edge : generate a pipe.
- a vertex : generate a sphere. Warning: returns a Null Shape if <CenterLine> generates no surface.

void BiTgte_Blend::IndicesOfBranche | ( | const Standard_Integer | Index,
|  | Standard_Integer & | From,
|  | Standard_Integer & | To
| ) |  | const

Set in <From>,<To> the indices of the faces of the branche <Index>.

i.e: Branche<Index> = Face(From) + Face(From+1) + ..+ Face(To)

void BiTgte_Blend::Init | ( | const TopoDS_Shape & | S,
|  | const Standard_Real | Radius,
|  | const Standard_Real | Tol,
|  | const Standard_Boolean | NUBS
| ) |  |

Standard_Boolean BiTgte_Blend::IsDone | ( |  | ) | const

Standard_Integer BiTgte_Blend::NbBranches | ( |  | ) |

Standard_Integer BiTgte_Blend::NbSurfaces | ( |  | ) | const

returns the Number of generated surfaces.

Handle< Geom2d_Curve > BiTgte_Blend::PCurve1OnFillet | ( | const Standard_Integer | Index | ) | const

gives the PCurve associated to CurveOnShape1(Index) on the Fillet

Handle< Geom2d_Curve > BiTgte_Blend::PCurve2OnFillet | ( | const Standard_Integer | Index | ) | const

gives the PCurve associated to CurveOnShape2(Index) on the fillet

Handle< Geom2d_Curve > BiTgte_Blend::PCurveOnFace1 | ( | const Standard_Integer | Index | ) | const

gives the PCurve associated to CurvOnShape1(Index) on the support face Warning: returns a Null Handle if SupportShape1 is not a Face

Handle< Geom2d_Curve > BiTgte_Blend::PCurveOnFace2 | ( | const Standard_Integer | Index | ) | const

gives the PCurve associated to CurveOnShape2(Index) on the support face Warning: returns a Null Handle if SupportShape2 is not a Face

void BiTgte_Blend::Perform | ( | const Standard_Boolean | BuildShape = `Standard_True` | ) |

Compute the generated surfaces. If <BuildShape> is true, compute the resulting Shape. If false, only the blending surfaces are computed.

void BiTgte_Blend::SetEdge | ( | const TopoDS_Edge & | Edge | ) |

Set an edge of <myShape> to be rounded.

void BiTgte_Blend::SetFaces | ( | const TopoDS_Face & | F1,
|  | const TopoDS_Face & | F2
| ) |  |

Set two faces of <myShape> on which the Sphere must roll.

void BiTgte_Blend::SetStoppingFace | ( | const TopoDS_Face & | Face | ) |

Set a face on which the fillet must stop.

const TopoDS_Shape& BiTgte_Blend::Shape | ( |  | ) | const

returns the result

const TopoDS_Shape& BiTgte_Blend::SupportShape1 | ( | const Standard_Integer | Index | ) | const

gives the first support shape relative to SurfaceFillet(Index);

const TopoDS_Shape& BiTgte_Blend::SupportShape2 | ( | const Standard_Integer | Index | ) | const

gives the second support shape relative to SurfaceFillet(Index);

Handle< Geom_Surface > BiTgte_Blend::Surface | ( | const Standard_Integer | Index | ) | const

returns the surface of range Index

Handle< Geom_Surface > BiTgte_Blend::Surface | ( | const TopoDS_Shape & | CenterLine | ) | const

returns the surface generated by the centerline. <CenterLine> may be

- an edge : generate a pipe.
- a vertex : generate a sphere. Warning: returns a Null Handle if <CenterLine> generates no surface.

The documentation for this class was generated from the following file:

- BiTgte_Blend.hxx